Subject: bug#59802: 30.0.50; Checkbox button not rendered

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Dec 2022 19:44:41 +0200

> From: Manuel Giraud <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 03 Dec 2022 15:47:56 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> [...]
> 
> > I think it would be useful if you could post a complete recipe,
> 
> The recipe is this one (lots of checkboxes):
> --8<---------------cut here---------------start------------->8---
> emacs -Q --eval="(customize-face 'default)"
> --8<---------------cut here---------------end--------------->8---

If so, I see no errors here with that recipe.

> > and perhaps also catch this error in a debugger, so you could show the
> > full image spec including the allegedly invalid size.
> 
> There is no real error, but SVG checkboxes not showing (most of the
> time).  How could I catch this?

Does "M-x describe-text-properties RET" tell you what properties are there
at the place where the checkboxes were supposed to be?  If so, request the
details of the image that is the value of the 'display' property.

Another possibility is to run under GDB with a breakpoint in svg_load, and
then look at img->spec and the details of the image.